com.smartgwt.client.widgets.calendar

## Class DragHoverCustomizer

- java.lang.Object
- - com.smartgwt.client.widgets.calendar.DragHoverCustomizer

-     public abstract class DragHoverCustomizer
      extends java.lang.Object

  Called to determine the hover text to show during drag operations in Calendars

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DragHoverCustomizer()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Calendar` | `getCalendar()` Returns the Calendar over which the hover occurred
    `abstract java.lang.String` | `getHoverHTML(CalendarEvent event, java.lang.String defaultValue, CalendarView view)` getHoverHTML() should be implemented and return the string of HTML to display in the hover during a drag operation
    `void` | `setCalendar(Calendar calendar)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DragHoverCustomizer

          public DragHoverCustomizer()

  - ### Method Detail

    - #### setCalendar

          public void setCalendar(Calendar calendar)

    - #### getCalendar

          public Calendar getCalendar()

      Returns the Calendar over which the hover occurred
      Returns:
        Calendar over which the hover occurred

    - #### getHoverHTML

          public abstract java.lang.String getHoverHTML(CalendarEvent event,
                                      java.lang.String defaultValue,
                                      CalendarView view)

      getHoverHTML() should be implemented and return the string of HTML to display in the hover during a drag operation
      Parameters:
        `calendarEvent` - CalendarEvent the existing event being dragged, or the details of the current drag-select range, representing a new event
        `defaultValue` - String the default hover text as generated by the Timeline
        `calendarView` - CalendarView a reference to the calendarView containing the drag
      Returns:
        String The formatted hover text for the values passed in